Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153319 - CAN-2005-0472 Gaim DoS
Summary: CAN-2005-0472 Gaim DoS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gaim
Version: 2.1
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard: impact=important,public=20050217,sour...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-04 19:17 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-11 08:24:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:432 normal SHIPPED_LIVE Critical: gaim security update 2005-05-11 04:00:00 UTC

Description Josh Bressers 2005-04-04 19:17:09 UTC
We initially thought CAN-2005-0472 didn't affect RHEL2.1.  It however does.

http://gaim.sourceforge.net/security/index.php?id=10

Comment 1 Warren Togami 2005-04-08 06:04:20 UTC
While looking at the package, I discovered that Patch0: gaim-0.59.1-args.patch
was not being applied by accident.  It prevents an overflow into the command,
but it doesn't look like it had security implications.  Not sure.  Upstream has
it here:

http://cvs.sourceforge.net/viewcvs.py/gaim/gaim/src/Attic/browser.c  Revision
1.23.2.3 "Thanks Chris Blizzard.  I think that maybe in the future we'll make
Gaim not have any bugs."

http://devserv.devel.redhat.com/~wtogami/Changelog-0.59.9
It appears that upstream made several more 0.59.x maintenance releases after the
0.59.1 that we ship.  The same spec that I checked into CVS works with 0.59.9
after removing patch0 which was included in 0.59.2.  Should we ship 0.59.9
instead of 0.59.1 in RHEL2.1?  You decide.  

I am unable to test these binaries locally.

Comment 2 Warren Togami 2005-04-09 05:23:55 UTC
gaim-0.59.9-1.el2 has been mkerrata'ed.  Let me know if you need anything else.

Comment 3 Warren Togami 2005-04-29 05:35:54 UTC
ping bressers

Comment 5 Mark J. Cox 2005-05-11 08:24:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-432.html



Note You need to log in before you can comment on or make changes to this bug.